import { CurrencyInput } from 'react-currency-mask';

export default function InputCurrencyMask({ type = 'text', className = '', isFocused = false, ...props }) {
    return (
        <CurrencyInput
            {...props}
            type={type}
            className={'rounded-lg py-[4px] border border-border focus:border-border focus:ring-border lg:text-[.8rem] sm:text-lg bg-background-secondary w-full ' + className}
        />
    );
}